Bug 1021297 - Dropdown selector for choosing interface in bean service modal
Dropdown selector for choosing interface in bean service modal
Status: ASSIGNED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity high
: ---
: ---
Assigned To: Brian Fitzpatrick
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-20 23:01 EDT by Catherine Robson
Modified: 2015-11-02 03:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-2292 Major Open Dropdown selector for choosing interface in bean service modal 2015-08-04 09:28:17 EDT

  None (edit)
Description Catherine Robson 2013-10-20 23:01:56 EDT
Description of problem:
There are too many modals and clicks involved for a user who is trying to enter the name of a service they already know exists on the bean service modal screen.

Suggested solution:
When choosing an interface - can the user start typing the name of an interface they know exists and then see ones that match to choose from - there is an example of this type of control on the New JUnit Test Suite modal, package field in JBDS.
Comment 2 Rob Cernich 2014-08-26 11:31:06 EDT
I'm assuming the requirement here is to add content assist to the interface field on the new bean component wizard.

Brian, can you create an associated JIRA please?
Comment 3 Brian Fitzpatrick 2014-08-27 10:21:42 EDT
Created JIRA

https://issues.jboss.org/browse/SWITCHYARD-2292
Comment 4 Aileen 2015-03-04 09:30:26 EST
This won't make 6.2 release.
Comment 5 Len DiMaggio 2015-03-09 11:32:10 EDT
Nacking for this release as it will not be in SwitchYard - can be addressed later.

Note You need to log in before you can comment on or make changes to this bug.